#include "../stdafx.h"
#include "SysLog.h"
#include "../CreateStream.h"
#include "common/posix/FInStream.h"


namespace NS_Logging
{
    NS_DM_Client::NS_Common::IOutStream* CreateOutStream()
    {
        SysLog* stream = new SysLog();
        stream->Open("");
        return stream;
    }

    NS_DM_Client::NS_Common::IInStream* CreateInStream()
    {
        return new NS_DM_Client::NS_Common::FInStream();
    }
}
